#include <stdio.h>
#include <signal.h>
#include "err.h"

/* You may want to include this "systemv.h" to enforce System V semantics
   for signal. 
   #include "systemv.h"
*/

void takeover(int k) 
{
  printf("Signal %d caught.\n", k);
}

int main() 
{
   /* set new SIGINT handler */
   if (signal(SIGINT, takeover) == SIG_ERR)
     syserr("signal");
   
   /* wait for signals */
   for(;;);
}
